---
layout: default
title: Guides
nav_order: 5
has_children: true
description: "Comprehensive guides for Amazon Chat Completions Server"
---

# Guides
{: .no_toc }

Comprehensive guides and tutorials for the Amazon Chat Completions Server.
{: .fs-6 .fw-300 }

---

## Available Guides

### Core Guides

- **[Usage Guide](usage)** - Programming examples and integration patterns
- **[AWS Authentication](aws-authentication)** - Complete AWS credential setup
- **[Architecture](architecture)** - System design and component overview
- **[Core Components](core-components)** - Detailed component documentation

### Development & Testing

- **[Testing](testing)** - Testing strategies and coverage
- **[Packaging](packaging)** - Building and distributing the package

---

## Quick Navigation

### For Developers
Start with the [Usage Guide](usage) to see programming examples and integration patterns.

### For DevOps/Infrastructure
Check out the [AWS Authentication](aws-authentication) guide for credential setup and the [Architecture](architecture) guide for deployment considerations.

### For Contributors
Review the [Core Components](core-components) guide to understand the codebase structure and the [Testing](testing) guide for development practices.

---

## Getting Help

If you can't find what you're looking for in these guides:

1. Check the [API Reference](../api-reference) for endpoint documentation
2. Review the [CLI Reference](../cli-reference) for command-line usage
3. Visit the [GitHub repository](https://github.com/yourusername/open-amazon-chat-completions-server) for issues and discussions
4. Read the main [README](../index) for an overview

---

## Contributing to Documentation

Found an error or want to improve these guides? Contributions are welcome!

1. Fork the repository
2. Edit the documentation files in the `docs/` directory
3. Submit a pull request with your improvements

All documentation is written in Markdown and uses Jekyll for GitHub Pages. 